> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/api-reference/open-api-references/order-service/poi-orders.md).

# POI Orders

The **POI Orders** endpoints manage the provisioning and ordering of Point of Interaction (POI) devices — primarily terminals — for merchants that have already been onboarded. This includes creating new terminal orders, updating existing ones, and ordering accessories for a specific POI.

{% hint style="info" %}
**Hardware Orders** uses separate endpoints. Use [Hardware Orders](/api-reference/open-api-references/order-service/hardware-orders.md) for `POST /orders/hardware` and `PUT /orders/hardware/{orderId}`.
{% endhint %}

## How It Works

{% stepper %}
{% step %}

## Create a POI order

`POST /orders/pois` — Provide the target merchant entity, device model, quantity, and desired services. The response returns a draft order ID.
{% endstep %}

{% step %}

## Update the draft if needed

`PUT /orders/pois/{orderId}` — Replace the entire POI order draft before submission.
{% endstep %}

{% step %}

## Submit for processing

Use `POST /orders/drafts/{orderId}` (see [Orders — Common](/api-reference/open-api-references/order-service/orders-common.md)) to submit the draft.
{% endstep %}
{% endstepper %}

## API Reference

### Create POI Order

## Create POI Order

> Adds new Point Of Interactions (terminals) to an existing merchant/store and optionally order hardware and services.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"POI Orders","description":"Operations to manage POI (Point of interaction/terminal) Orders for existing merchants."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/orders/pois":{"post":{"tags":["POI Orders"],"summary":"Create POI Order","description":"Adds new Point Of Interactions (terminals) to an existing merchant/store and optionally order hardware and services.","operationId":"addPoiOrder","parameters":[{"$ref":"#/components/parameters/saveDraftHeaderParam"},{"$ref":"#/components/parameters/validateAcquirerHeaderParam"},{"$ref":"#/components/parameters/SimplifiedFlowHeaderParam"}],"requestBody":{"description":"Terminals to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PoiOrder"}}}},"responses":{"200":{"description":"Create POI Order Response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PoiOrderResponse"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"parameters":{"saveDraftHeaderParam":{"name":"saveDraft","in":"header","description":"An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.","required":false,"schema":{"type":"boolean"}},"validateAcquirerHeaderParam":{"name":"validateAcquirer","in":"header","description":"An optional header indicating whether to validate the acquirer.","required":false,"schema":{"type":"boolean"}},"SimplifiedFlowHeaderParam":{"name":"X-Use-Simplified-Order-Flow","in":"header","description":"An optional header indicating to the client, the new approach delegates more logic to the backend, requiring the API/UI client to supply only the essential data when possible. Our backend now intelligently derives missing fields by leveraging defaults and configurations from the Portfolio Service","required":false,"schema":{"type":"boolean"}}},"schemas":{"PoiOrder":{"type":"object","allOf":[{"$ref":"#/components/schemas/BaseOrderData"},{"properties":{"packageDetails":{"$ref":"#/components/schemas/PackageDetails"},"contract":{"$ref":"#/components/schemas/MerchantContract"},"entityUid":{"$ref":"#/components/schemas/EntityUid"},"shippingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"billingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"requestedDateOfShipment":{"$ref":"#/components/schemas/RequestedDateOfShipment"},"pois":{"type":"array","items":{"$ref":"#/components/schemas/BasePoiType"}},"merchantId":{"maxLength":75,"pattern":"^[a-zA-Z0-9]+$","type":"string","description":"The Merchant identifier to which POIs under this order should refer to while linking a Payment Provider Contract.A new PPC will be created & linked if the MID doesn't already exist or left blank."}}}],"required":["entityUid","pois"]},"BaseOrderData":{"type":"object","properties":{"orderReference":{"$ref":"#/components/schemas/OrderReference"},"customerEntityUid":{"type":"string","format":"uuid","description":"Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity)."},"requestedDate":{"type":"string","description":"The requested date for this order.","format":"date-time"},"deferredOrderProcessingDate":{"type":"string","format":"date-time","description":"Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately."},"poRef":{"type":"string","description":"Purchase Order Reference"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDetails"},"notes":{"type":"string","description":"Notes for the Order"},"additionalOrderData":{"type":"array","description":"Input data which maybe required for the country/business unit to to complete the order. For example some countries require a VAT ID, or different legal forms of business, this will be defined by Verifone if needed for your integration","maxItems":100,"items":{"$ref":"#/components/schemas/VariableResponseType"}}},"required":["orderReference","customerEntityUid"]},"OrderReference":{"description":"Client reference for the Order.","type":"string","minLength":1},"PaymentDetails":{"description":"Details of how the order will be paid, and the further re-occuring billing for services.","type":"object","properties":{"paymentType":{"type":"string","description":"Type of payment that can be made.","default":"CREDIT"}},"discriminator":{"propertyName":"paymentType","mapping":{"ACCOUNT":"#/components/schemas/PaymentDetailsAccount","CREDIT":"#/components/schemas/PaymentDetailsCredit","NET":"#/components/schemas/PaymentDetailsNET","EINVOICE":"#/components/schemas/PaymentDetailsEInvoice"}},"required":["paymentType"],"oneOf":[{"title":"ACCOUNT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsAccount"}]},{"title":"CREDIT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsCredit"}]},{"title":"NET","allOf":[{"$ref":"#/components/schemas/PaymentDetailsNET"}]},{"title":"EINVOICE","allOf":[{"$ref":"#/components/schemas/PaymentDetailsEInvoice"}]}]},"PaymentDetailsAccount":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"institutionName":{"type":"string","description":"Name of the institution where the account is held."},"accountName":{"type":"string","description":"Name of the account as known by the financial institution operating the account."},"sortCode":{"type":"string","description":"The Routing Number for the bank account. Also referred to as the UK Sorting Code identifier, range from 4 to 6 chars, e.g. [xxxx or xxxxx or xxxxxx].","pattern":"^[0-9]{4,6}$"},"bsb":{"type":"string","description":"An Australian/New Zealand term for the Bank State Branch indicator. It is a 6 digit value constructed with the first 2 digits identifying the bank.","pattern":"^[0-9]{6,6}$"},"routingTransitNumber":{"type":"string","description":"routing transit number for the bank account. A routing transit number is a nine-digit number used to identify a bank or financial institution when clearing funds or processing checks. Established by the American Bankers Association (ABA)","pattern":"^[0-9]{9,9}$"},"accountNumber":{"type":"string","description":"The Number of the account"},"accountAddress":{"$ref":"#/components/schemas/BaseAddress"},"ean":{"type":"string","description":"EAN Reference, thirteen digit reference","pattern":"^[0-9]{13,13}$"},"iban":{"$ref":"#/components/schemas/IBANIdentifier"},"bic":{"$ref":"#/components/schemas/BICIdentifier"}}}],"required":["accountType","accountCurrency","accountName","accountNumber","institutionName"]},"PaymentAccountType":{"type":"string","enum":["CHEQUE","SAVINGS","TRANSMISSION","BANKGIRO"]},"CurrencyCodeEnum":{"title":"Currency Code","description":"Three-letter ISO 4217 alphabetical currency code. e.g. USD. Values correspond\nto [ISO 4217](https://wikipedia.org/wiki/ISO_4217).\n\n**Deprecated:** `BYR` (replaced by BYN), `FRF` (replaced by EUR), `LTL` (replaced by EUR), `LVL` (replaced by EUR), `MRO` (replaced by MRU), `STD` (replaced by STN), `USS` (no replacement), `VEF`  (replaced by VES), `ZMK` (replaced by ZMV) and `BTC` (Bitcoin only supported as Crypto Amount).","type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BYR","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","FRF","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LTL","LVL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRO","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","USS","UYI","UYU","UYW","UZS","VEF","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMK","ZMW","ZWL","BTC"]},"BaseAddress":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","properties":{"receiverName":{"type":"string","minLength":1,"description":"The receiver name for the address if different to the company/site name."},"addressLine1":{"minLength":1,"maxLength":40,"type":"string","description":"Address Line 1. Should include street and apartment number if required."},"addressLine2":{"maxLength":40,"type":"string","description":"Address Line 2"},"addressLine3":{"maxLength":40,"type":"string","description":"Address Line 3"},"poBox":{"type":"string","description":"The PO BOX number."},"city":{"minLength":1,"maxLength":28,"type":"string","description":"Name of a built-up area, with defined boundaries, and a local government. This could be city or town."},"countrySubdivision":{"maxLength":35,"minLength":1,"type":"string","description":"Identifies a sub-division of a country which may be state, region or county. This follows a similar format to the openbank api."},"postCode":{"$ref":"#/components/schemas/PostCode"},"country":{"$ref":"#/components/schemas/CountryCode3Enum"},"timeZone":{"$ref":"#/components/schemas/TimeZone"}}},"PostCode":{"description":"Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.","type":"string","minLength":1,"maxLength":16},"CountryCode3Enum":{"title":"Country Code","type":"string","description":"The [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code.<blockquote><strong>Note:</strong> The country code for Great Britain is <code>GB</code> and not <code>UK</code> as is used in that country's top-level domain names.</blockquote>.","enum":["ZZZ","ABW","AFG","AGO","AIA","ALA","ALB","AND","ARE","ARG","ARM","ASM","ATA","ATF","ATG","AUS","AUT","AZE","BDI","BEL","BEN","BES","BFA","BGD","BGR","BHR","BHS","BIH","BLM","BLR","BLZ","BMU","BOL","BRA","BRB","BSB","BRN","BTN","BVT","BWA","CAF","CAN","CCK","CHE","CHL","CHN","CIV","CMR","COD","COG","COK","COL","COM","CPV","CRI","CUB","CUW","CXR","CYM","CYP","CZE","DEU","DJI","DMA","DNK","DOM","DZA","ECU","EGY","ERI","ESH","ESP","EST","ETH","FIN","FJI","FLK","FRA","FRO","FSM","GAB","GBR","GEO","GGY","GHA","GIB","GIN","GLP","GMB","GNB","GNQ","GRC","GRD","GRL","GTM","GUF","GUM","GUY","HKG","HMD","HND","HRV","HTI","HUN","IDN","IMN","IND","IOT","IRL","IRN","IRQ","ISL","ISR","ITA","JAM","JEY","JOR","JPN","KAZ","KEN","KGZ","KHM","KIR","KNA","KOR","KWT","LAO","LBN","LBR","LBY","LCA","LIE","LKA","LSO","LTU","LUX","LVA","MAC","MAF","MAR","MCO","MDA","MDG","MDV","MEX","MHL","MKD","MLI","MLT","MMR","MNE","MNG","MNP","MOZ","MRT","MSR","MTQ","MUS","MWI","MYS","MYT","NAM","NCL","NER","NFK","NGA","NIC","NIU","NLD","NOR","NPL","NRU","NZL","OMN","PAK","PAN","PCN","PER","PHL","PLW","PNG","POL","PRI","PRK","PRT","PRY","PSE","PYF","QAT","REU","ROU","RUS","RWA","SAU","SDN","SEN","SGC","SGP","SHN","SJM","SLB","SLE","SLV","SMR","SOM","SPM","SRB","SSD","STP","SUR","SVK","SVN","SWE","SWZ","SXM","SYC","SYR","TCA","TCD","TGO","THA","TJK","TKL","TKM","TLS","TON","TTO","TUN","TUR","TUV","TWN","TZA","UGA","UKR","UMI","URY","USA","UZB","VAT","VCT","VEN","VGB","VIR","VNM","VUT","WLF","WSM","YEM","ZAF","ZMB","ZWE"]},"TimeZone":{"description":"A time zone, following the format defined in the IANA tz database (https://www.iana.org/time-zones). Valid examples are America/New_York and Etc/UTC. Do not use ambiguous, non-qualified values such as EST or GB. Before including this type in your interface, please consider whether it is actually appropriate to convey time zone information with your type. It is almost always the case that this should be transformed from UTC at the time of display to the user; this type might therefore be most associated with user-preference APIs.","type":"string","minLength":1,"maxLength":127},"IBANIdentifier":{"title":"IBAN","description":"International Bank Account Number (ISO 13616-1:2007).\n The use of an IBAN is mandated for all SEPA transactions.\nThere are 66 countries that support this format. The length will vary by country. Norway has the shortest format, 15 characters, currently Malta is the longest with 31 characters.\n","type":"string","pattern":"^[a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"},"BICIdentifier":{"title":"Bank Identifier Code","type":"string","description":"International Bank Identifier Code Format.\nThe Bank Identifier Code or SWIFT Code ,this can also be referred to as the CHIPS, NCC, VSC or IFSC depending on your location. Made up of 8 or 11 characters .The 3 main parts include: BankCode(4), Country Code(2) and Location (2).\nOptionally the branch identifier is a 3 character optional element that can supplement the 8 character BIC.\n[ISO 9362](https://www.iso.org/standard/84108.html)","pattern":"^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$","maxLength":11},"PaymentDetailsCredit":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"creditAmountRequested":{"description":"Amount of credit to be requested.","type":"number","format":"float"},"purchaseOrderReference":{"type":"string","description":"Purchase Order Reference."},"existingCustomerLegalName":{"type":"string","description":"Existing Customer Legal Name."},"references":{"type":"array","description":"List of references.","maxItems":50,"items":{"$ref":"#/components/schemas/ReferenceContactType"}}}}],"required":["accountType","accountCurrency"]},"ReferenceContactType":{"description":"Company and contact details for reference","type":"object","properties":{"contact":{"$ref":"#/components/schemas/ContactType"},"companyName":{"type":"string","description":"Name of the company."},"accountNumber":{"type":"string","description":"The account Number of the reference"},"referenceType":{"type":"string","description":"Type of reference.","enum":["BANK","TRADE"]}},"required":["contact","companyName","referenceType"]},"ContactType":{"description":"The details of a Contact.","type":"object","properties":{"contactType":{"$ref":"#/components/schemas/ContactTypeEnum"},"name":{"$ref":"#/components/schemas/ContactName"},"phoneNumbers":{"description":"The phone numbers to be used for the Contact. If you include this property there should be at least one phone number.","items":{"$ref":"#/components/schemas/Phone"},"minItems":1,"uniqueItems":true,"type":"array"},"email":{"$ref":"#/components/schemas/EmailAddress"},"businessTitle":{"$ref":"#/components/schemas/BusinessTitle"}},"required":["contactType","name"]},"ContactTypeEnum":{"title":"Contact Type","description":"An indicator for the type of contact.\n\n|Value|Description|\n|----|-----------|\n|BUSINESS|Generic business contact information, e.g. info@example.com|\n|DISPUTE_HANDLING|Generic contact information specific to dispute handling, e.g. disputes@example.com|\n|OWNER|Individual contact information of the owner of the Entity, e.g. ben.jerry@example.com|\n|PERSONAL|Personal contact information of the person representing the Entity, e.g. bjerr83@example-personal-email-domain.com|","type":"string","enum":["BUSINESS","DISPUTE_HANDLING","OWNER","PERSONAL"],"default":"BUSINESS"},"ContactName":{"allOf":[{"$ref":"#/components/schemas/Name"}]},"Name":{"title":"Name Details","description":"An object representing the name or component names of a party, person or business. No elements are mandatory due to the different usages, but the business rules need to be applied in the context where name is used.","type":"object","uniqueItems":false,"properties":{"firstName":{"description":"The given name of contact.","type":"string","minLength":1,"maxLength":120},"lastName":{"description":"The surname name or family name of the contact. This is required when the name is for a party or person. Can also include the matronymic or mother's family name where this is customarily used.","minLength":1,"maxLength":120,"type":"string"},"prefix":{"description":"The prefix to the party name. This is sometimes referred to as a title, salutation or appellation.","maxLength":120,"type":"string"},"alternateFullName":{"description":"The alternate name for the party. This can be a business name or nickname. This should be used where the name of the party cannot be parsed into its constituent parts such as first name or last name. If the party is a business then this should always be present.","maxLength":200,"type":"string"},"middleName":{"description":"The middle name or names for a party or person.","maxLength":120,"type":"string"},"suffix":{"description":"The name suffix for the party.","maxLength":120,"type":"string"}},"required":["firstName","lastName"]},"Phone":{"title":"Phone number","description":"A simple Phone Number","type":"object","additionalProperties":false,"properties":{"callingCode":{"description":"Country Calling Code. Mapped to PARTY_PHONE.CALLING_CODE or VENUE_PHONE.CALLING_CODE","type":"string"},"value":{"description":"The actual phone number less country code and/or extension.","type":"string","minLength":5},"extension":{"description":"The internal extension number where applicable or known.","type":"string"},"isPrimary":{"description":"Indicates that the phone is a the primary phone. Mapped to PARTY_PHONE_PRIMARY","type":"boolean","default":false},"phoneType":{"$ref":"#/components/schemas/PhoneTypeEnum"}},"required":["value","phoneType"]},"PhoneTypeEnum":{"title":"Phone Type","description":"Phone type in PHONE_TYPE_CON. Mapped to PARTY_PHONE.PHONE_TYPE_CON_ID or VENUE_PHONE.PHONE_TYPE_CON_ID","type":"string","enum":["HOME","MOBILE","WORK","FAX","OTHER"],"default":"HOME"},"EmailAddress":{"title":"Email Address","maxLength":254,"minLength":3,"type":"string","format":"email","pattern":"^[a-zA-Z0-9!#$%&'*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+[.].+$","description":"A valid internationalized email address, as defined by RFC 5322, RFC 6530, and other RFCs. Due to RFC 5321, an email address can be up to 254 characters long even though up to 64 characters are allowed before and 255 characters are allowed after the @ sign. This pattern verifies only that the string contains an unquoted @ sign. See https://tools.ietf.org/html/rfc5322#section-3.4.1."},"BusinessTitle":{"type":"string","maxLength":100},"PaymentDetailsNET":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"}]},"PaymentDetailsEInvoice":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"bankPartnerName":{"type":"string","description":"The banking partner used in conjunction with the billing details to perform e-invoicing."},"gln":{"type":"string","description":"The Global Location Number (GLN) to be captured when E-Invoice payment method is used for the Sweden Portfolio.","pattern":"^[0-9]{13}$"},"eAddress":{"type":"string","description":"This is required for Finnish customers who have opted to receive invoices electronically."}}}]},"VariableResponseType":{"description":"Variable/Value Pairs.","type":"object","properties":{"variableName":{"type":"string","description":"Variable name (this would be provided by Verifone)","pattern":"^[A-Za-z0-9_-]*$"},"variableValue":{"type":"string","maxLength":10000,"description":"Value of the variable"}}},"PackageDetails":{"description":"Select the base package, hardware and additional services for this order.","type":"object","properties":{"portfolioUid":{"description":"Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.","type":"string","format":"uuid"},"basePackageBundle":{"$ref":"#/components/schemas/BundleAndPrice"},"servicePackages":{"type":"array","maxItems":100,"items":{"$ref":"#/components/schemas/ServicePackages"}},"deliveryPackage":{"$ref":"#/components/schemas/BundleAndPriceAndData"}},"required":["basePackageBundle"]},"BundleAndPrice":{"type":"object","properties":{"packageBundleId":{"$ref":"#/components/schemas/PackageBundleId"},"price":{"$ref":"#/components/schemas/AmountSimple"}},"required":["packageBundleId"]},"PackageBundleId":{"description":"The Verifone allocated ID for the package bundle.","type":"string","pattern":"^[A-Za-z0-9_-]*$","maxLength":100},"AmountSimple":{"title":"Amount Simple Type","type":"string","description":"The value, which can be anything from:\n- An integer. For currencies that are not typically fractional, such as `JPY`. - A three-place decimal fraction. For currencies that are subdivided into thousandths, such as `TND`.\n*The required number of decimal places for a currency code is according to [ISO 4217](https://wikipedia.org/wiki/ISO_4217). However the following table documents exception to ISO 4217 that is also allowed:*\n\n|Code|Currency|Decimals|Fixed minor units|\n|--------|-----------|---------|-----------|\n|ISK|Iceland Krona|2|.00|\n","maxLength":32,"pattern":"^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$"},"ServicePackages":{"type":"object","properties":{"packageBundleId":{"$ref":"#/components/schemas/PackageBundleId"},"adjustedPrices":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/AdjustedPriceType"}},"processorParameters":{"$ref":"#/components/schemas/BaseProcessorParameters"},"additionalPackageData":{"type":"array","description":"Input data required to configure the package. For example some packages require a merchant ID.","maxItems":50,"items":{"$ref":"#/components/schemas/VariableResponseType"}},"threeDSMerchantIdentifiers":{"$ref":"#/components/schemas/ThreeDSecureMerchantIdentifiers"}},"required":["packageBundleId"]},"AdjustedPriceType":{"type":"object","properties":{"priceModel":{"type":"string","description":"Pricing Model","enum":["MONTHLY_FEE","MONTHLY_FEE_PER_DEVICE","MINIMUM_AMT_PER_TRX","AMT_PER_TRX","PERC_PER_TRX","ONE_TIME","YEARLY_FEE","QUARTERLY_FEE"]},"price":{"$ref":"#/components/schemas/AmountSimple"}}},"BaseProcessorParameters":{"description":"Payment Processor Parameters related to Merchant onboarding.","type":"object","properties":{"processor":{"title":"Payment Provider ContractType Processor Acquirer Type","description":"A type indicator for the contract that is being processed.","type":"string","enum":["ABS_ISO","ABS_PDM","ABS_WEB","AMEX","BANKAXEPT","BANQUE_CHABRIERES","BARCLAYS","BFCOI","BNPP_ATC","BNP_PARIBAS","BNPP_VERS_ATOS","BRED","CAISSE_D_EPARGNE","CBA","CEDICAM","CIC","CM_ARKEA","CREDIT_AGRICOLE","CREDIT_DU_NORD_VERS_ATOS","CREDIT_DU_NORD_VERS_NATIXIS","CREDIT_MUTUEL","CREDITGUARD","DANKORT","EFTPOS_NZ","ELAVON","FDRC","FIRSTDATA","GICC","GIVEX","GLOBALPAY","GPP2","HSBC","IKANO","INTERCARD","ISRACARD","LA_BANQUE_POSTAL","LCL","LES_BANQUES_POPULAIRES","LLOYDS_CARDNET","MAESTRO","MOBILEPAY","NETS","OTHER","PAYPAL","PAYPAL_ECOM","PELECARD","RESURS_BANK","RTS","SG","SIMULATOR","SWEDBANK_PAY","SWISH","TIETO_EVRY","VERIFONE_AU","VIPPS","WESTPAC","WORLDPAY","WPAY_AU","FISERV_AU","CUSCAL_AU","CHASE_US","ELAVON_US","FISERV_US","TSYS_US","GLOBALPAYMENTS_US","VANTIV_US","HEARTLAND_US","TELECHECK_US","SC_AMEX","SC_EVRY","SC_LUOTTOKUNTA","SC_NETS_DK","SC_NETS_NO","SC_SWEDBANK_SE","SVS_US","SVS_UK","VALUELINK_US","VALUELINK_CA","VALUTEC_US","UNIFY_GIVEX"],"default":"TSYS_US"},"tidList":{"description":"A pool of terminal IDs issued by the Acquiring Institution. This pool is intended to be used for the POIs that's capable of initiating multiple payment requests in parallel (e.g. Checkout Page and Virtual Terminal)","type":"array","uniqueItems":true,"items":{"type":"string"}}},"discriminator":{"propertyName":"processor","mapping":{"GIVEX":"#/components/schemas/ProcessorParametersGivex","GLOBALPAYMENTS_US":"#/components/schemas/ProcessorParametersUSGPEAST","TSYS_US":"#/components/schemas/ProcessorParametersUSTSYS","CHASE_US":"#/components/schemas/ProcessorParametersUSCHASE","ELAVON_US":"#/components/schemas/ProcessorParametersUSELAVON","FISERV_US":"#/components/schemas/ProcessorParametersUSFIRSTDATA","VANTIV_US":"#/components/schemas/ProcessorParametersUSVANTIV","HEARTLAND_US":"#/components/schemas/ProcessorParametersUSHeartland","TELECHECK_US":"#/components/schemas/ProcessorParametersUSTelecheck","FISERV_AU":"#/components/schemas/ProcessorParametersFiservAU","CUSCAL_AU":"#/components/schemas/ProcessorParametersCuscalAU","WPAY_AU":"#/components/schemas/ProcessorParametersWpayAU","SVS_UK":"#/components/schemas/ProcessorParametersSVS","SVS_US":"#/components/schemas/ProcessorParametersSVS","VALUELINK_US":"#/components/schemas/ProcessorParametersValuelink","VALUELINK_CA":"#/components/schemas/ProcessorParametersValuelink","VALUTEC_US":"#/components/schemas/ProcessorParametersValutecUS","VERIFONE_AU":"#/components/schemas/ProcessorParametersVerifoneAU","SC_AMEX":"#/components/schemas/ProcessorParametersSC","SC_EVRY":"#/components/schemas/ProcessorParametersSC","SC_LUOTTOKUNTA":"#/components/schemas/ProcessorParametersSC","SC_NETS_DK":"#/components/schemas/ProcessorParametersSC","SC_NETS_NO":"#/components/schemas/ProcessorParametersSC","SC_SWEDBANK_SE":"#/components/schemas/ProcessorParametersSC","OTHER":"#/components/schemas/ProcessorParametersOTHER","UNIFY_GIVEX":"#/components/schemas/ProcessorParametersUnifyGivex"}},"required":["processor"],"oneOf":[{"title":"GIVEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersGivex"}]},{"title":"GLOBALPAYMENTS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSGPEAST"}]},{"title":"TSYS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSTSYS"}]},{"title":"CHASE_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSCHASE"}]},{"title":"ELAVON_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSELAVON"}]},{"title":"FISERV_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSFIRSTDATA"}]},{"title":"VANTIV_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSVANTIV"}]},{"title":"HEARTLAND_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSHeartland"}]},{"title":"TELECHECK_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSTelecheck"}]},{"title":"FISERV_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersFiservAU"}]},{"title":"CUSCAL_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersCuscalAU"}]},{"title":"WPAY_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersWpayAU"}]},{"title":"SVS_UK","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSVS"}]},{"title":"SVS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSVS"}]},{"title":"VALUELINK_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValuelink"}]},{"title":"VALUELINK_CA","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValuelink"}]},{"title":"VALUTEC_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValutecUS"}]},{"title":"VERIFONE_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersVerifoneAU"}]},{"title":"SC_AMEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_EVRY","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_LUOTTOKUNTA","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_NETS_DK","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_NETS_NO","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_SWEDBANK_SE","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"OTHER","allOf":[{"$ref":"#/components/schemas/ProcessorParametersOTHER"}]},{"title":"UNIFY_GIVEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUnifyGivex"}]}]},"ProcessorParametersGivex":{"title":"Payment Processor Parameters - Givex","description":"Payment Processor Parameters - Givex","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"userid":{"type":"string","minLength":1,"maxLength":50,"description":"User ID, a string with a maximum length of 50 characters."},"password":{"type":"string","minLength":1,"maxLength":20,"description":"Password, a string with a maximum length of 20 characters."},"merchantId":{"type":"string","pattern":"^\\d{1,32}$","description":"Merchant ID, a numeric value consisting of 1 to 32 digits."},"industryCode":{"type":"string","minLength":1,"maxLength":1,"description":"Industry Code, a single-character string."}}}]},"ProcessorParametersUSGPEAST":{"title":"Payment Processor Parameters - GLOBALPAYMENTS_US","description":"Payment Processor Parameters - GLOBALPAYMENTS_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"BankID":{"$ref":"#/components/schemas/BankID"}}}],"required":["BankID"]},"DebitEncryptionKey":{"description":"Debit Key Name used to determine which keys are loaded as part of a terminal deployment/setup.","type":"string","minLength":1,"maxLength":100},"BankID":{"type":"string","minLength":1,"maxLength":30},"ProcessorParametersUSTSYS":{"title":"Payment Processor Parameters - TSYS_US","description":"Payment Processor Parameters - TSYS_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"StoreNum":{"$ref":"#/components/schemas/StoreNum"},"AgentBank":{"$ref":"#/components/schemas/AgentBank"},"AgentChain":{"$ref":"#/components/schemas/AgentChain"},"BankBIN":{"$ref":"#/components/schemas/BankBIN"}}}],"required":["StoreNum","AgentBank","AgentChain","BankBIN"]},"StoreNum":{"type":"string","minLength":1,"maxLength":4,"pattern":"^[0-9]+$"},"AgentBank":{"type":"string","minLength":1,"maxLength":6,"pattern":"^[0-9]+$"},"AgentChain":{"type":"string","minLength":1,"maxLength":6,"pattern":"^[0-9]+$"},"BankBIN":{"type":"string","minLength":1,"maxLength":30},"ProcessorParametersUSCHASE":{"title":"Payment Processor Parameters - CHASE_US","description":"Payment Processor Parameters - CHASE_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"ClientNum":{"$ref":"#/components/schemas/ClientNum"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"}}}],"required":["ClientNum"]},"ClientNum":{"type":"string","maxLength":4,"minLength":1,"pattern":"^[0-9]+$"},"FNSNumber":{"description":"A number issued by the US Department of Agriculture Food and Nutrition Service that is used in SNAP transactions. For eWIC processing, this field contains the state assigned retailer ID of the merchant.","type":"string","maxLength":7},"ProcessorParametersUSELAVON":{"title":"Payment Processor Parameters - ELAVON_US","description":"Payment Processor Parameters - ELAVON_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"}}}]},"ProcessorParametersUSFIRSTDATA":{"title":"Payment Processor Parameters - FISERV_US","description":"Payment Processor Parameters - FISERV_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"groupID":{"$ref":"#/components/schemas/GroupId"},"GroupNumber":{"$ref":"#/components/schemas/GroupNumber"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"},"tokenTypeId":{"$ref":"#/components/schemas/TokenTypeId"}}}]},"GroupId":{"type":"string","minLength":5,"maxLength":13},"GroupNumber":{"type":"string","minLength":1,"maxLength":50},"TokenTypeId":{"description":"TransArmor Token Type ID","type":"string","minLength":1,"maxLength":4},"ProcessorParametersUSVANTIV":{"title":"Payment Processor Parameters - VANTIV_US","description":"Payment Processor Parameters - VANTIV_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"BankID":{"$ref":"#/components/schemas/BankID"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"}}}],"required":["BankID"]},"ProcessorParametersUSHeartland":{"title":"Payment Processor Parameters - HEARTLAND_US","description":"Payment Processor Parameters - HEARTLAND_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"StoreNum":{"$ref":"#/components/schemas/StoreNum"},"AgentBank":{"$ref":"#/components/schemas/AgentBank"},"AgentChain":{"$ref":"#/components/schemas/AgentChain"},"BankBIN":{"$ref":"#/components/schemas/BankBIN"}}}],"required":["StoreNum","AgentBank","AgentChain","BankBIN"]},"ProcessorParametersUSTelecheck":{"title":"Payment Processor Parameters - TELECHECK_US","description":"Payment Processor Parameters - TELECHECK_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"applicationType":{"$ref":"#/components/schemas/ApplicationType"},"versionControl":{"$ref":"#/components/schemas/VersionControl"}}}],"required":["applicationType","versionControl"]},"ApplicationType":{"description":"This indicates product being used and will be provided by the TeleCheck's Merchant boarding and Certification group.","type":"string","minLength":1,"maxLength":100},"VersionControl":{"description":"This identifies which version of software and hardware the merchant is using to process electronic transaction.","type":"string","minLength":1,"maxLength":50},"ProcessorParametersFiservAU":{"title":"Payment Processor Parameters - FISERV_AU","description":"Payment Processor Parameters - FISERV_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"VisaMVV":{"description":"Visa Merchant Verification Value. This is an optional ID assigned to a merchant commonly used for discounts/special interchange fees.","type":"string","minLength":10,"maxLength":10,"pattern":"^[a-zA-Z0-9]*$"},"MastercardMAID":{"description":"Mastercard Assigned ID. This is an optional ID assigned to a merchant commonly used for discounts/special interchange fees.","type":"string","minLength":6,"maxLength":6,"pattern":"^[a-zA-Z0-9]*$"},"EftposMTC":{"description":"EFTPOS Australia Merchant Tier Code. Defines the type of Merchant and, therefore, whether standard, charity or\nDifferential Interchange Fee Rates (DIFR) are payable.\n\nThe value shall be set by Hub to be '901' where Field 018 (Merchant Category Code) is the value '8398', in all other\ncases the value set by Hub shall be the last 3 digits of the EFC tag sent by Acquirer to Hub.\n\nAn invalid Merchant Tier value from Acquirer will be replaced by Hub with the Standard tier code '000'.","type":"string","minLength":3,"maxLength":3,"pattern":"^[a-zA-Z0-9]*$"},"ProcessorParametersCuscalAU":{"title":"Payment Processor Parameters - CUSCAL_AU","description":"Payment Processor Parameters - CUSCAL_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersWpayAU":{"title":"Payment Processor Parameters - WPAY_AU","description":"Payment Processor Parameters - WPAY_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersSVS":{"title":"Payment Processor Parameters - SVS","description":"Payment Processor Parameters - SVS","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"$ref":"#/components/schemas/SvsMerchantId"},"storeNo":{"$ref":"#/components/schemas/SvsStoreNo"},"division":{"$ref":"#/components/schemas/SvsDivision"}}}]},"SvsMerchantId":{"description":"SVS assigned Merchant Identifier.","type":"string","maxLength":30,"pattern":"^[0-9]+$"},"SvsStoreNo":{"description":"SVS assigned Store Number.","type":"string","maxLength":15,"pattern":"^[0-9]+$"},"SvsDivision":{"description":"SVS assigned Division.","type":"string","maxLength":30,"pattern":"^[a-zA-Z0-9]+$"},"ProcessorParametersValuelink":{"title":"Payment Processor Parameters - Valuelink","description":"Payment Processor Parameters - Valuelink","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"$ref":"#/components/schemas/GiftMerchantId"},"storeNo":{"$ref":"#/components/schemas/GiftStoreNo"},"division":{"$ref":"#/components/schemas/GiftDivision"}}}]},"GiftMerchantId":{"description":"Giftcard Provider assigned Merchant Identifier.","type":"string","pattern":"^[0-9]+$","maxLength":30},"GiftStoreNo":{"description":"Giftcard Provider assigned Store Number.","type":"string","pattern":"^[0-9]+$","maxLength":15},"GiftDivision":{"description":"Giftcard Provider assigned Division.","type":"string","pattern":"^[a-zA-Z0-9]+$","maxLength":30},"ProcessorParametersValutecUS":{"title":"Payment Processor Parameters - ValutecUS","description":"Payment Processor Parameters - ValutecUS","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"type":"string","pattern":"^\\d{1,10}$","description":"Unique Merchant ID consisting of 1 to 10 numeric digits."},"merchantClientkey":{"type":"string","minLength":1,"maxLength":36,"description":"Merchant Client Key, a string with a length between 1 and 36 characters."},"terminalId":{"type":"string","pattern":"^\\d{1,15}$","description":"Terminal ID consisting of 1 to 15 numeric digits."},"industryCode":{"type":"string","minLength":1,"maxLength":1,"description":"Industry Code represented by a single character."}}}]},"ProcessorParametersVerifoneAU":{"title":"Payment Processor Parameters - VERIFONE_AU","description":"Payment Processor Parameters - VERIFONE_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersSC":{"title":"Payment Processor Parameters - Sales Connector","description":"Payment Processor Parameters - Sales Connector","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"settlementProcess":{"$ref":"#/components/schemas/ScSettlementProcessType"}}}],"required":["settlementProcess"]},"ScSettlementProcessType":{"title":"Settlement Process Type","description":"Indicates the settlement process to be used for this contract. Different settlement processes may be used for the processor and acquirer. For example T1 merchants may agree with the acquirer to have a separate settlement file from all SMB merchants. Different process may also be used for master merchant processing.","type":"string","enum":["SC_AMEX","SC_AMEX_SUPER_AIO","SC_EVRY","SC_LUOTTOKUNTA","SC_NETS_DK","SC_NETS_NO","SC_NETS_NO_ONLINE_RECON","SC_SWEDBANK_FI","SC_SWEDBANK_SE","SC_WORLDLINE_MASTER_MERCHANT","SC_WORLDLINE_SUPER_AIO","SC_WORLDLINE_SUPER_AIO_BALTICS","SC_WORLDLINE_SUPER_AIO_SE","SC_WORLDLINE_SUPER_AIO_DK","SC_WORLDLINE_SUPER_AIO_NO"]},"ProcessorParametersOTHER":{"title":"Payment Processor Parameters - OTHER","description":"Payment Processor Parameters - OTHER","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"}]},"ProcessorParametersUnifyGivex":{"title":"Payment Processor Parameters - Unify Givex","description":"Payment Processor Parameters - Unify Givex","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"type":"string","pattern":"^\\d{1,32}$","description":"GIVEX-assigned merchant/user ID. Numeric string, 1–32 digits."},"password":{"type":"string","minLength":1,"writeOnly":true,"description":"Unify Givex password."},"industryCode":{"type":"string","enum":["D","R","F"],"description":"Industry code. D=Direct, R=Retail, F=Food/Restaurant."}}}]},"ThreeDSecureMerchantIdentifiers":{"title":"Merchant Identifier","description":"Override the Merchant ID (merchantId) with the default value configured in the payment provider contract (PPC), where applicable.\nIn cases where the acquirer-issued Merchant ID for the authorization flow differs from the one used in the 3DS (SafeKey) flow, ensure the correct ID is applied for each flow.\nFor example, Amex often requires merchants to complete separate onboarding processes for 3DS and authorization, resulting in two distinct Merchant IDs:\n* One used for SafeKey (3DS authentication) * Another used for authorization via the acquirer or gateway","required":["merchantId","paymentType"],"properties":{"merchantId":{"type":"string","description":"Merchant ID assigned by Acquirer for 3DS flow. Override the Merchant ID (merchantId) with the default value configured in the payment provider contract (PPC), where applicable.\nIn cases where the acquirer-issued Merchant ID for the authorization flow differs from the one used in the 3DS (SafeKey) flow, ensure the correct ID is applied for each flow.\nFor example, Amex often requires merchants to complete separate onboarding processes for 3DS and authorization, resulting in two distinct Merchant IDs:\n\n  * One used for SafeKey (3DS authentication)\n  * Another used for authorization via the acquirer or gateway","pattern":"^$|^(?!\\s*$).+","maxLength":30},"paymentType":{"$ref":"#/components/schemas/PaymentTypeEnum"}}},"PaymentTypeEnum":{"title":"Payment Type","description":"A type indicator for the payment that is being processed. Value `GIFT` is deprecated.","type":"string","enum":["AFFIRM","AFTERPAY","ALIPAY","AMEX","BAIDU_PAY","BANK","BANKAXEPT","BARTERCARD","BBBY_COB","BBBY_PLCC","BLIK","BP_FUELCARD","CALLIO_GASTRO","CARD","CARDLINK","CARNET","CASH","CB","CHEQUE","CLAVE","CRYPTO","DANKORT","DEBIT","DINERS","DISCOVER","EASYCD","EBT","EBT_WIC_OFFLINE","ECARD","ECARDZ","EDENRED","ELECTRON","EZIPAY","FARMERS_FINANCE","FARMLAND","FARMLANDS","FINNISH_DIRECT_BANKING","FLEETCOR","FLEETONE","FLEXECASH","FORBRUGSFORENINGEN","FPF_GIFT","GARMIN_PAY","GIFT","GIFT_CARD","GIROCARD","IKANO","ISRACARD","ISRAEL_PRIVATE_LABEL","JCB","JD_PAY","KLARNA","KLARNA_ECOM","KLARAN_QR","KLARNA_QR","LANDSBANKINN","MASTERCARD","MAESTRO","MOBILEPAY","MOBILEPAY_ECOM","OP_ONLINE_PAYMENT","PAYPAL","PAYPAL_ECOM","PAYPAL_ECOM_MANAGED","PAYPAL_QR","PIX","PLCC","Q_CARD","RESURS_BANK","RURALCO","SAMSUNG_PAY","SODEXO_GASTRO","SUPERCARD","SWISH","SWISH_ECOM","TEN_PAY","TRANXACTOR","TRUE_REWARDS","TT_CARD","UP_SLOVENSKA","UPI","VENMO","VENMO_ECOM","VENMO_QR","VIPPS","VIPPS_ECOM","VISA","VOYAGER","VPAY","WECHAT","WESTFIELD_GIFTCARD","WESTPAC_DEBIT","WEX","ZELLE","ZIP","OTHER"]},"BundleAndPriceAndData":{"type":"object","properties":{"packageBundleId":{"$ref":"#/components/schemas/PackageBundleId"},"adjustedPrices":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/AdjustedPriceType"}},"additionalPackageData":{"type":"array","description":"Input data required to configure the package. For example some packages require a merchant ID","maxItems":50,"items":{"$ref":"#/components/schemas/VariableResponseType"}}},"required":["packageBundleId"]},"MerchantContract":{"type":"object","properties":{"brokerId":{"type":"string","maxLength":100,"description":"ID of the broker, if one is being used"},"legalStructure":{"type":"string","description":"Legal Structure","enum":["PROPRIETOR_OWN_BEHALF","PROPRIETOR_NOT_OWN_BEHALF","SHARED_LESS_25_PERC_EACH"]},"contacts":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/ContactAddressType"}},"settlementAccount":{"$ref":"#/components/schemas/SettlementAccount"},"domesticSettlementAccount":{"$ref":"#/components/schemas/DomesticSettlementAccount"},"serviceStartDate":{"type":"string","description":"The requested date for this service to start.","format":"date-time"},"terminalRentalStartDate":{"type":"string","format":"date-time","description":"The date until which terminal rental is exempt for this contract (also labelled \"Rent Exemption Until\" / DE: \"Mietfreiheit bis zum\"). If not set, consumers should fall back to serviceStartDate.\n"},"proprietorAct":{"type":"boolean","description":"Is proprietor is acting on its own behalf (true) or is not acting on own behalf (false)"},"documents":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDocument"}},"replacementAgreement":{"$ref":"#/components/schemas/ReplacementAgreement"}},"description":"Used if merchant contract is to be processed"},"ContactAddressType":{"description":"A Contact and their address details.","type":"object","properties":{"contact":{"$ref":"#/components/schemas/ContractContactType"},"addressDetails":{"$ref":"#/components/schemas/BaseAddress"},"dateOfBirth":{"type":"string","description":"Date of Birth","format":"date"},"placeOfBirth":{"type":"string","description":"Place of Birth"},"isIDCheckRequired":{"type":"boolean","description":"Is this contact's ID required to be checked","default":false},"isContractSignatureRequired":{"type":"boolean","description":"Is this contact's signature required","default":false},"isLegalRepresentative":{"type":"boolean","description":"Is this contact a legal representative","default":false},"isAuthorizedRepresentative":{"type":"boolean","description":"Is this contact an authorized representative","default":false},"isBeneficiaryOwner":{"type":"boolean","description":"Is a beneficiary owner","default":false},"isPoliticallyExposed":{"type":"boolean","description":"Is this contact a politically exposed person","default":false},"representativeType":{"type":"string","description":"Type of representative when this contact is legal or authorized rep","enum":["GENERAL_COMMERCIAL_POWER","LIMITED_COMMERCIAL_POWER","NOT_APPLICABLE"]}},"required":["contact","addressDetails"]},"ContractContactType":{"type":"object","required":["contactType","name"],"properties":{"contactType":{"$ref":"#/components/schemas/ContactTypeEnum"},"name":{"$ref":"#/components/schemas/ContactName"},"phoneNumbers":{"description":"The phone numbers to be used for the Contact. If you include this property there should be at least one phone number.","items":{"$ref":"#/components/schemas/Phone"},"minItems":1,"uniqueItems":true,"type":"array"},"email":{"$ref":"#/components/schemas/EmailAddress"},"businessTitle":{"$ref":"#/components/schemas/BusinessTitle"},"passportId":{"type":"string","description":"Passport Identity Identifier.","minLength":1,"maxLength":100},"nationality":{"type":"string","description":"Nationality","minLength":1,"maxLength":100},"additionalNationalities":{"type":"array","description":"Additional Nationalities","uniqueItems":true,"maxItems":20,"items":{"type":"string","minLength":1,"maxLength":100}},"nationalIdentifer":{"type":"string","description":"Contact's national identity identifier.","minLength":1,"maxLength":20}}},"SettlementAccount":{"allOf":[{"$ref":"#/components/schemas/SepaAccount"}]},"SepaAccount":{"title":"SEPA Bank Account","description":"A SEPA Account structure extending the base account","allOf":[{"$ref":"#/components/schemas/Account"},{"properties":{"country":{"$ref":"#/components/schemas/CountryCode3Enum"},"accountName":{"type":"string","description":"Name of the account as known by the financial institution operating the account."},"iban":{"$ref":"#/components/schemas/IBANIdentifier"},"bic":{"$ref":"#/components/schemas/BICIdentifier"}}}]},"Account":{"title":"Account","description":"Unambiguous identification of an account to which credit and debit entries are made.\n\nThese entries are based on the Open Banking standards used in various countries - UK, Australia, New Zealand as well as a combination of details from the ISO20022 account properties.","additionalProperties":false,"properties":{"currency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"accountHolderType":{"type":"string","enum":["BUSINESS","PERSONAL"],"default":"BUSINESS"},"description":{"description":"Specifies the description of the account type.","type":"string","minLength":1,"maxLength":35},"nickname":{"description":"The nickname of the account, assigned by the account owner in order to provide an additional means of identification of the account.","type":"string","minLength":1,"maxLength":70}}},"DomesticSettlementAccount":{"allOf":[{"$ref":"#/components/schemas/DomesticAccount"}]},"DomesticAccount":{"title":"Domestic Bank Account","description":"A Domestic Bank Account structure extending the base account.","allOf":[{"$ref":"#/components/schemas/Account"},{"properties":{"accountName":{"description":"Name of the account as known by the financial institution operating the account.","type":"string"},"sortCode":{"description":"The UK Sorting Code identifier the sort code is xx xx xx.","type":"string","pattern":"^[0-9]{6,6}$"},"bsb":{"description":"An Australian/New Zealand term for the Bank State Branch indicator. It is a 6 digit value constructed with the first 2 digits identifying the bank.","type":"string","pattern":"^[0-9]{6,6}$"},"routingTransitNumber":{"type":"string","description":"Routing transit number for the bank account. A routing transit number is a nine-digit number used to identify a bank or financial institution when clearing funds or processing checks. Established by the American Bankers Association (ABA).","pattern":"^[0-9]{9,9}$"},"accountNumberType":{"description":"The type of the `accountNumber` which asserts the format of the number:\n - `BANKGIRIT`: Up to 9 characters (example: 123-4567 or 1234-5678)\n - `PLUSGIROT`: Up to 24 characters; starts with \"SE50\"\n - `DEFAULT`: Format-less value","type":"string","enum":["BANKGIROT","PLUSGIROT","DEFAULT"],"default":"DEFAULT"},"accountNumber":{"description":"The number of the account.","type":"string"}}}]},"MerchantDocument":{"type":"object","description":"Merchant Document Info.","allOf":[{"$ref":"#/components/schemas/RequiredDocument"},{"properties":{"uploadedDate":{"type":"string","description":"The uploaded date for this document.","format":"date-time"},"modifiedDate":{"type":"string","description":"The modified date for this document on status change.","format":"date-time"}}}]},"RequiredDocument":{"type":"object","description":"Merchant Required Document Details","properties":{"documentId":{"type":"string","format":"uuid","description":"Unique identifier for the document."},"documentName":{"type":"string","maxLength":100,"description":"Name of the document."},"displayName":{"type":"string","maxLength":100,"description":"Display name of the document shown to end user."},"status":{"$ref":"#/components/schemas/DocumentStatusEnum","description":"Current status of the document."},"allowedContentTypes":{"type":"array","description":"List of supported content types.","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ContentTypeEnum"}},"allowedContentLength":{"type":"integer","format":"int64","description":"Size of the uploaded document in bytes.  Default is 2 MB (2097152 bytes), maximum allowed is 8 MB (8388608 bytes).\n","default":2097152,"maximum":8388608},"contact":{"$ref":"#/components/schemas/ContractContactType"}},"required":["documentId","documentName","status","allowedContentTypes"]},"DocumentStatusEnum":{"type":"string","description":"Current status of the document. Rejected documents must be re-uploaded.","enum":["PENDING_UPLOAD","UPLOADED","PENDING_SCAN","ACCEPTED_CLEAN","REJECTED_INFECTED"]},"ContentTypeEnum":{"type":"string","description":"Supported content type for documents.","enum":["application/pdf","image/png","image/jpeg","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","application/vnd.openxmlformats-officedocument.spreadsheetml.sheet","application/vnd.ms-excel"]},"ReplacementAgreement":{"title":"ReplacementAgreement","type":"object","description":"Replacement agreement details for devices covered under this contract.","required":["devices"],"properties":{"contractNumber":{"type":"string","maxLength":255,"description":"Contract number for the replacement agreement."},"devices":{"type":"array","description":"List of devices being replaced.","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ReplacedDevice"}}}},"ReplacedDevice":{"title":"ReplacedDevice","type":"object","description":"A device being replaced under a replacement agreement.","required":["serialNumber","deviceModel"],"properties":{"serialNumber":{"type":"string","minLength":1,"maxLength":12,"description":"Serial number of the replaced device."},"deviceModel":{"type":"string","minLength":1,"maxLength":100,"description":"Model name of the replaced device."}}},"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"AddressWithoutType":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","required":["addressLine1","city","postCode","country"],"allOf":[{"$ref":"#/components/schemas/BaseAddressWithoutType"}]},"BaseAddressWithoutType":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","allOf":[{"$ref":"#/components/schemas/BaseAddress"}],"properties":{"contact":{"$ref":"#/components/schemas/ContactType"},"vfiSiteId":{"maxLength":50,"minLength":1,"type":"string","description":"Address/Site identifier known as within Verifone internal systems."},"storeNumber":{"type":"string","description":"Store Number or Client/Customer ID in Oracle"},"governmentOwned":{"type":"boolean","description":"Indicates whether the address is government-owned. E.g. Address can be in Sweden, but can be a US Embassy."},"governmentCountry":{"$ref":"#/components/schemas/CountryCode3Enum"}}},"RequestedDateOfShipment":{"description":"Requested date of shipment.","type":"string","format":"date-time"},"BasePoiType":{"title":"Point of Interaction","description":"The Point of Interaction. This may refer to a number of different entities, but is primarily considered to be the Terminal. This object contains the POI details as they pertain to an individual payment, an instance of POI. This does not attempt to define all the settings or attributes that may be associated to a POI. Also, for a specific Acquirer/Contract combination there may be a different instance of the POI(TID). These different relationships are not part of this object.","type":"object","properties":{"type":{"$ref":"#/components/schemas/PoiTypeEnum"},"poiId":{"maxLength":36,"minLength":1,"type":"string","description":"Point of interaction identifier (Often referred to as Terminal ID)"},"subPoiId":{"maxLength":15,"minLength":1,"type":"string","description":"An optional secondary identifier for a point of interaction (Terminal). This is relevant for some markets where an additional terminal number is required."},"altVfiPoiId":{"$ref":"#/components/schemas/AltVfiPoiId"},"estateManagementId":{"type":"string","description":"This has very specific meaning as an identifier used for Estate Management. This should generally be left blank\nas Verifone will allocate this ID.\n\nIn VHQ this is related to the deviceId."},"estateManagementQrCode":{"type":"string","description":"Base64 of a .png QR code representing the estateManagementId. Generated by the SelfSignup Service and patched onto the POI before Oracle/B2B boarding."},"serialNumber":{"$ref":"#/components/schemas/SerialNumber"},"laneInformation":{"$ref":"#/components/schemas/PoiLaneInformation"},"networkConfig":{"$ref":"#/components/schemas/PoiNetworkConfig"},"name":{"maxLength":35,"type":"string","description":"The name used to represent this POI. This is a label not an identifier."},"description":{"maxLength":30,"type":"string","description":"An optional value where some Merchant specific entry is associated with a POI."},"status":{"$ref":"#/components/schemas/PoiStatusEnum"},"cutoverTime":{"$ref":"#/components/schemas/CutoverTime"},"poiUid":{"$ref":"#/components/schemas/PoiUid"},"acquirerPoiIds":{"maxItems":50,"type":"array","description":"Key value Pairs linking acquirer POI with their TID","items":{"$ref":"#/components/schemas/VariableResponseType"}},"poiLabels":{"type":"array","description":"Free form labels/tags that can be attached to an entity to enable grouping and searching","maxLength":10,"items":{"type":"string","description":"Logical grouping of poi's. A tag or label which is meaningful to the customer which groups pois, e.g Area, Timezone, Restaurant, Retail etc","maxLength":30}},"activationCode":{"description":"Activation code for the SoftPOS solution which is generated by VHQ.","type":"string","pattern":"^[A-Z0-9-]{14}$"},"vhqCustomerId":{"type":"string","description":"Customer ID of the VHQ instance."},"vhqUrl":{"type":"string","description":"URL of the VHQ Instance"}},"discriminator":{"propertyName":"type","mapping":{"POINT_OF_SALE":"#/components/schemas/PoiType","MULTI_MERCHANT_CHILD":"#/components/schemas/MultiMerchantChildPoiType","STANDALONE":"#/components/schemas/PoiType","ELECTRONIC_CASH_REGISTER":"#/components/schemas/PoiType","UNATTENDED":"#/components/schemas/PoiType","MOBILE":"#/components/schemas/PoiType","VIRTUAL":"#/components/schemas/VirtualPoiType"}},"required":["status","type"],"oneOf":[{"title":"POINT_OF_SALE","allOf":[{"$ref":"#/components/schemas/PoiType"}]},{"title":"MULTI_MERCHANT_CHILD","allOf":[{"$ref":"#/components/schemas/MultiMerchantChildPoiType"}]},{"title":"STANDALONE","allOf":[{"$ref":"#/components/schemas/PoiType"}]},{"title":"ELECTRONIC_CASH_REGISTER","allOf":[{"$ref":"#/components/schemas/PoiType"}]},{"title":"UNATTENDED","allOf":[{"$ref":"#/components/schemas/PoiType"}]},{"title":"MOBILE","allOf":[{"$ref":"#/components/schemas/PoiType"}]},{"title":"VIRTUAL","allOf":[{"$ref":"#/components/schemas/VirtualPoiType"}]}]},"PoiTypeEnum":{"title":"Point of Interaction Type","description":"The Point of Interaction Type. An indicator to indicate the type of Point of Interaction.\n\n**NOTE:** The value `MULTI_MERCHANT_CHILD` aligns to `MULT_MERCHANT` in common/Entity Service.","type":"string","enum":["UNSPECIFIED","ELECTRONIC_CASH_REGISTER","POINT_OF_SALE","UNATTENDED","STANDALONE","MOBILE","VIRTUAL","MULTI_MERCHANT_CHILD"]},"AltVfiPoiId":{"description":"An alternative Verifone assigned identifier used for the POI within Verifone systems for transaction processing. This\nis also referred to as the Terminal ID (TID). This value maps to DE41 in ISO8583 specification. This identifier may\nalso be used per contract if required.\n\n<strong>This value is not guaranteed to be globally unique. The unique value is the internally assigned uuid - poiUid\nwhich is returned on the response.</strong>","type":"string","maxLength":12},"SerialNumber":{"description":"The serial number of the physical device","type":"string","maxLength":25},"PoiLaneInformation":{"description":"Lane in which the POI is to be configured.","type":"object","properties":{"customerLaneId":{"type":"string","minLength":1,"maxLength":255},"customerLaneDesignator":{"type":"string","minLength":1,"maxLength":255},"laneNotes":{"type":"string","maxLength":200}}},"PoiNetworkConfig":{"description":"Network settings of the POI","type":"object","properties":{"ipAddress":{"$ref":"#/components/schemas/IpAddressv4v6"},"ipGateway":{"$ref":"#/components/schemas/IpAddressv4v6"},"subnetMask":{"$ref":"#/components/schemas/IpAddressv4v6"},"networkPrefix":{"$ref":"#/components/schemas/IpAddressv4v6"},"dns1":{"$ref":"#/components/schemas/IpAddressv4v6"},"dns2":{"$ref":"#/components/schemas/IpAddressv4v6"},"wifiSSID":{"type":"string","minLength":2,"maxLength":32},"wifiPassword":{"type":"string"},"wpaEncryptionMethod":{"type":"string","minLength":2,"maxLength":10}}},"IpAddressv4v6":{"description":"A valid IPV4 or V6 address.","type":"string","anyOf":[{"format":"ipv4","description":"Example : 232.100.1.1"},{"format":"ipv6","description":"Example : 2405:204:638b:9daa:f3c8:a903:3227:c712"}]},"PoiStatusEnum":{"type":"string","enum":["ACTIVE","DEACTIVE"]},"CutoverTime":{"type":"string","description":"The cutover time HH:MM. Usually this will be a local time where a timezone has to be used to be used to derive the UTC time. EG: processor.cutoverTimeZone","pattern":"^(0[0-9]|1[0-9]|2[0-3]):[0-5][0-9]$"},"PoiUid":{"description":"The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.","type":"string","format":"uuid"},"PoiType":{"title":"Point of Interaction","description":"The Point of Interaction. This may refer to a number of different entities, but is primarily considered to be the Terminal. This object contains the POI details as they pertain to an individual payment, an instance of POI. This does not attempt to define all the settings or attributes that may be associated to a POI. Also, for a specific Acquirer/Contract combination there may be a different instance of the POI(TID). These different relationships are not part of this object.","type":"object","allOf":[{"$ref":"#/components/schemas/BasePoiType"},{"properties":{"parameters":{"$ref":"#/components/schemas/TerminalParameters"},"paymentAppParameters":{"$ref":"#/components/schemas/PaymentAppParameters"},"devicePackage":{"$ref":"#/components/schemas/BundleAndPriceAndDataQuantity"},"additionalDevicePackages":{"type":"array","maxItems":100,"items":{"$ref":"#/components/schemas/BundleAndPriceAndDataQuantity"}},"deliveryPackage":{"$ref":"#/components/schemas/BundleAndPriceAndData"}}}]},"TerminalParameters":{"title":"Parameters","description":"Deprecated - Please use `paymentAppParameters`.","type":"object","deprecated":true,"properties":{"transactionOptions":{"$ref":"#/components/schemas/TransactionOptions"},"limits":{"$ref":"#/components/schemas/TransactionLimits"},"receiptOptions":{"$ref":"#/components/schemas/ReceiptOptions"},"tipOptions":{"$ref":"#/components/schemas/TipOptions"}}},"TransactionOptions":{"type":"object","properties":{"purchaseEnabled":{"description":"Enable Purchase for this merchant.","type":"boolean"},"purchaseWithCashoutEnabled":{"description":"Enable Purchase with Cashout for this merchant.","type":"boolean"},"cashoutEnabled":{"description":"Enable standalone Cashout for this merchant.","type":"boolean"},"refundEnabled":{"description":"Enable Refund for this merchant.","type":"boolean"},"preauthEnabled":{"description":"Enable PreAuth for this merchant.","type":"boolean"},"balanceEnquiryEnabled":{"description":"Enable Balance Enquiry for this merchant.","type":"boolean"},"motoPaymentEnabled":{"description":"Enable mail and telephone order (MOTO) payments.","type":"boolean"},"motoTipEnabled":{"description":"Enable tip for moto payments for this merchant.","type":"boolean"},"motoRefundEnabled":{"description":"Enable mail and telephone order (MOTO) payments.","type":"boolean"},"motoPreauthEnabled":{"description":"Enable mail and telephone order (MOTO) payments.","type":"boolean"},"motoSeparationEnabled":{"description":"If enabled, separate options for telephone and mail order will be presented to the user.","type":"boolean"},"cashoutAmounts":{"description":"Predefined Cashout amounts that user can select from. Comma separated amount e.g. 10.00,20.00,40.00. This is in the currency supported by the terminal. All currency format represents a decimal number. Maximum 3 values will be allowed.","type":"string","pattern":"[0-9]+(,[0-9]+)+","maxLength":150}}},"TransactionLimits":{"type":"object","properties":{"maxAmountPurchase":{"$ref":"#/components/schemas/AmountSimple"},"maxAmountRefundCashier":{"$ref":"#/components/schemas/AmountSimple"},"maxAmountRefundManager":{"$ref":"#/components/schemas/AmountSimple"},"maxAmountRefundPerSettlement":{"$ref":"#/components/schemas/AmountSimple"},"maxAmountCashout":{"$ref":"#/components/schemas/AmountSimple"}}},"ReceiptOptions":{"title":"Receipt Options","description":"Receipt Options","type":"object","properties":{"printMerchantReceipt":{"$ref":"#/components/schemas/PrintOptionsEnum"},"printCustomerReceipt":{"$ref":"#/components/schemas/PrintOptionsEnum"},"showEmailReceipts":{"description":"Show e-mail option for customer receipts.","type":"boolean"},"showEmailTermsAndConditions":{"description":"Determines if the device displays the Terms and Conditions text when a customer elects to receive an email receipt.","type":"boolean"},"greeting":{"description":"Placeholder for greeting text on the receipt.","type":"string","pattern":"^(.|n)*$","maxLength":10000},"footer":{"description":"Receipt placeholder for footer text.","type":"string","maxLength":10000,"pattern":"^(.|n)*$"}}},"PrintOptionsEnum":{"title":"Receipt Printing Option","description":"Defines the receipt print options. - Possible values are: <br />Never Print - NEVER<br />Prompt for print - PROMPT<br />Always Print - ALWAYS<br />Always Print when Signature is Captured - ALWAYS_WITH_SIGNATURE","type":"string","enum":["NEVER","PROMPT","ALWAYS","ALWAYS_WITH_SIGNATURE"]},"TipOptions":{"title":"Tip Options","description":"Tip Options","type":"object","additionalProperties":false,"properties":{"tipEnabled":{"description":"Enable tipping. When enabled the device presents a tip selection screen during a transaction, showing pre-configured tip amounts and an option for a custom amount.","type":"boolean"},"tipLimit":{"description":"Defines the maximum percentage of the transaction amount that can be added as a tip. If this is exceeded, a warning is prompted.","type":"integer","format":"int64"},"tipPercentages":{"description":"Pre-Defines up to 3 tip percentage options for customers to choose from, after entering the purchase amount for a transaction, e.g. 10, 15, 20 = 10%, 15%, 20%, respectively. Note that the TipEnabled parameter must be enabled, and that only whole numbers are accepted as percentage values, e.g. 10% (not 10.5%).","type":"string","pattern":"([0-9]+,){0,2}([0-9]+)","maxLength":150}}},"PaymentAppParameters":{"title":"Base Parameters","description":"Payment Parameters - these can be specified per merchant and/or overridden at the poi level. If no values are specified then default template values will be applied.","type":"object","properties":{"AccountVerifyEnabled":{"description":"Enable Account verification for this merchant","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"AllowDisableMerchantPreferredAppSelection":{"description":"Display the option to disable merchant preferred app selection in the 'Prompt For Card' screen","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PurchaseEnabled":{"description":"Enable Purchase transactions for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PurchaseAndCashoutEnabled":{"description":"Enable prompting for a cashout amount as part of a purchase transaction.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualPurchaseAndCashoutEnabled":{"description":"Enable Manual Card Entry for Purchase with Cashout.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PurchaseSurchargeEnabled":{"description":"Enables surcharging for Purchase (+ Cash + Tip)\ntransactions. Surchargeable amount - this is the amount in\nthe transaction where a surcharge can be applied to.\nPurchase only - surchargeable amount is the purchase\namount. Purchase + Cash - surchargeable amount is the\npurchase amount only. Purchase + Cash + Tip -\nsurchargeable amount is the purchase amount only. Purchase\n+ Tip - surchargeable amount is the purchase amount only.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ContactlessSurchargeEnabled":{"description":"Enable contactless surcharging.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"CashOutOnlySurchargeEnabled":{"description":"Enables surcharging for Cashout only transactions.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PreauthCompletionSurchargeType":{"description":"0 - Disabled: Pre-Auth/Completion transactions are not subject to surcharge\n\n1 - Pre-Auth: Surcharge is applied to Pre-Auth (initial) transaction\n\n2 - Completion: Surcharge is applied to Completion transaction","type":"string","minLength":1,"maxLength":1,"pattern":"[0-2]"},"MotoSurchargeEnabled":{"description":"Enables surcharging for mail and telephone order (MOTO)\ntransactions.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualPurchaseEnabled":{"description":"Enable Manual Card Entry for Purchase.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualRefundEnabled":{"description":"Manual Refund Enabled.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualPreAuthEnabled":{"description":"Enable Manual Card Entry for PreAuth.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"CashoutOnlyEnabled":{"description":"Enable Cashout only transactions for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualCashoutOnlyEnabled":{"description":"Enable Manual Card Entry for Cashout transactions without a purchase.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"RefundEnabled":{"description":"Enable Refund transactions as such for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"LimitRefundAmountEnabled":{"description":"Enable limit refund amount with MaxCashierRefundAmount and MaxManagerRefundAmount.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"EbtEnabled":{"description":"Allow EBT (Electronic benefit transfer) payment type.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"VoidEnabled":{"description":"Enable void transaction for magnetic stripe and chip cards for this product","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ManualVoidEnabled":{"description":"Enable Manual Card Entry for Void","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"SplitPaymentsEnabled":{"description":"Allow the total to be paid with multiple payments.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PreAuthEnabled":{"description":"Enable Pre-Auth transactions for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PostAuthEnabled":{"description":"Enable Post-Auth transactions for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"PreAuthCtlsEnabled":{"description":"Enable Pre Authorization transaction for contactless payment methods for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"BalanceEnquiryEnabled":{"description":"Enable Balance Enquiry transactions for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MotoPaymentEnabled":{"description":"Enable mail and telephone order (MOTO) payments.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MotoTipEnabled":{"description":"Enable tip for moto payments for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MotoRefundEnabled":{"description":"Enable moto refunds for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MotoPreAuthEnabled":{"description":"Enable moto PreAuth for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MotoSeparationEnabled":{"description":"Determines whether to present separate options for mail and telephone orders (MOTO).","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"CashbackAmounts":{"description":"Predefined cashout amounts presented at the cashout selection in the local currency. Maximum of 4 comma separated amounts e.g. 10.00,20.00,40.00.","type":"string","maxLength":150,"minLength":0,"pattern":"^(\\d+\\.?\\d*,){0,3}(\\d+\\.?\\d*)$"},"MaxPurchaseAmount":{"description":"Represents the maximum purchase amount allowed in the currency supported by the terminal. The value should be in a decimal format, e.g. $40 = 40.00. Maximal amount supported by the payment application is 9,999,999,999.99.","type":"string","maxLength":13,"minLength":0,"pattern":"^[0-9]{1,10}(\\.[0-9]{2})?$"},"MaxCashierRefundAmount":{"description":"Maximum refund amount allowed by the cashier, in the currency supported by the terminal. The value should be in a decimal format, e.g. $40 = 40.00","type":"string","maxLength":15,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MaxManagerRefundAmount":{"description":"Maximum refund amount allowed by the manager, in the currency supported by the terminal. The value should be in a decimal format, e.g. $40 = 40.00","type":"string","maxLength":15,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MaxRefundTotalAmountPerSettlement":{"description":"Maximum refund amount allowed per settlement period, in the currency supported by the terminal. This value should be in a decimal format, e.g. $40 = 40.00","type":"string","maxLength":15,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MaxAmountRefundPerDay":{"description":"Used to determine the maximum total amount of refunds for merchant per day, in the currency of related virtual terminal. This value should be in a decimal format, e.g. $40 = 40.00.","type":"string","maxLength":15,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MaxCountRefundPerDay":{"description":"Used to determine the maximum total number of refunds for merchant per day","type":"string","maxLength":3,"minLength":0,"pattern":"^[0-9]{1,3}$"},"ForceOfflineEnabled":{"description":"Indicates if the force offline operation is enabled for the merchant","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"CashbackCeiling":{"description":"Maximum cashout amount allowed, in the currency supported by the terminal. The value should be in a decimal format,                  e.g. $40 = 40.00 - where the currency symbol depends on the region.","type":"string","maxLength":150,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"PrintMerchantReceipt":{"description":"Defines the merchant receipt print options.\n\n0-Never Print\n\n1-Prompt for print\n\n2-Always Print\n\n3-Always Print when Signature is Captured","type":"string"},"PrintCustomerReceipt":{"description":"Defines the customer receipt print options.\n\n0-Never Print\n\n1-Prompt for print\n\n2-Always Print","type":"string"},"ShowEmailReceiptOption":{"description":"Show e-mail option for customer receipts.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ShowEmailTermsAndConditions":{"description":"Determines if the device displays the Terms and Conditions text when a customer elects to receive an email receipt.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ReceiptGreeting":{"description":"Placeholder for greeting text on the receipt.","type":"string","maxLength":10000,"minLength":0,"pattern":"^(.|\\n)*$"},"ReceiptFooter":{"description":"Receipt placeholder for footer text.","type":"string","maxLength":10000,"minLength":0,"pattern":"^(.|\\n)*$"},"TipEnabled":{"description":"Enable purchase with tip transaction for this product","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"TipAdjustmentEnabled":{"description":"Enable tip adjustment. When enabled the device can support tip adjustment flow.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"TipCustomOptionEnabled":{"description":"Enable Custom option on the Tip screen for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"TipCustomOptionEntryMethod":{"description":"Specifies how the customer enters a custom tip amount. Additional Tip Amount - customer enters the tip amount to be added to the total (default). Total Amount Including Tip - customer enters the total transaction amount and tip is calculated automatically, used in markets where a round-up tip strategy is common. - Possible values are: Tip Amount-0,Total Amount including Tip-1.","type":"string"},"TipLimit":{"description":"Defines the maximum percentage of the transaction amount that can be added as a tip. If this is exceeded, a warning is prompted.","type":"string","maxLength":150,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"TipLimitAmount":{"description":"Defines the maximum amount that can added to the transaction as a tip. When the tip amount exceeds this limit, a warning is displayed. Any tip amount is allowed when TipLimitAmount set to 0.","type":"string","maxLength":150,"minLength":0,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"TipOverLimitAllowed":{"description":"When enabled, the tip that is higher than defined by limit parameters, TipLimit (percentage) and TipLimitAmount (amount), will be allowed after confirmation.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"TipPercentages":{"description":"Pre-Defines up to 4 tip percentage options for customers to choose from, after entering the purchase amount for a transaction, e.g. 10, 15, 20, 25% = 10%, 15%, 20%, 25% respectively.                 Note that the TipEnabled parameter must be enabled, and that only whole numbers are accepted as percentage values, e.g. 10% (not 10.5%).    Note also some terminal solutions only support 3 pre-defined limits.                 ","type":"string","maxLength":150,"minLength":0,"pattern":"^(\\d{1,2},){0,3}(\\d{1,2})$"},"AutoSettlementEnabled":{"description":"Settlement runs on a schedule.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"AutoSettlementTime":{"description":"Settlement runs at this time everyday.","type":"string","maxLength":5,"minLength":4,"pattern":"^(0[0-9]|1[0-9]|2[0-3]|[0-9]):[0-5][0-9]$"},"SAFEnabled":{"description":"Whether SAF (offline approval when device cannot go online or reach host/gateway), 1-Enabled, 0-Not enabled","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MaxSAFAccumulativeAmount":{"description":"Maximum amount of all pending SAF transactions that are allowed. Once this limit is reached, the terminal cannot approve anymore transaction as SAF","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MaxSAFTransactionAmount":{"description":"Maximum amount for a single transaction to be put into SAF. This overrides card scheme settings.","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{2})?$"},"MerchantSurcharge":{"description":"Surcharging options for different card products","type":"array","items":{"$ref":"#/components/schemas/CardProductSurcharge"}},"RegionalParameters":{"$ref":"#/components/schemas/BaseRegionalParameters"},"CardHolderPresent":{"description":"Select if card holder is present (Always/Prompt/Never)","type":"string","enum":["Always","Prompt","Never"]},"MaxContactlessTransactionAmount":{"description":"Maximum limit for contact less payments","type":"string","pattern":"^[0-9]+(\\.[0-9]{2})?$"},"CommsFailFloorLimit":{"description":"Maximum limit allowed by terminal when communications fail","type":"number","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{2})?$","deprecated":true},"VoiceAuthRefferalLimit":{"description":"Maximum limit allowed for voice referral","type":"number","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{2})?$"},"VoiceAuthRefferalCode":{"description":"Voice Referral floor limit authorisation code","type":"string"},"CommerceTriggersEnabled":{"description":"Enable commerce triggers.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"ContactlessCvmRequiredLimit":{"description":"The contactless limit which CVM is required. If this is set it will override any defaults set for card brands in the EMV config - unless these defaults are more restrictive.","type":"string","minLength":12,"maxLength":12,"pattern":"^[a-fA-F0-9]*$"},"OfflineFloorLimit":{"description":"The limit which transactions can be approved offline. Generally this is now set to zero (0). If this is set it will override any defaults set for card brands in the EMV config - unless these defaults are more restrictive.","type":"string","minLength":12,"maxLength":12,"pattern":"^[a-fA-F0-9]*$"},"CashEnabled":{"description":"Enables Cash handling for the terminal.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"DualPricingEnabled":{"description":"Enable Dual Pricing for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"DccEnabled":{"description":"Enable Dynamic Currency Conversion for this merchant.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"DualPricingAdjustmentRate":{"description":"Adjustment rate in dual pricing payment option.","type":"number","format":"decimal","pattern":"^-?\\d+(\\.\\d+)?$"},"DualPricingTipBasis":{"description":"0 - When the original subtotal is set 0, the tip suggestions \n    are calculated using the original subtotal requested from the POS.\n\n1 - When the original subtotal is set 1, the tip suggestions are calculated \n    using the adjusted subtotal chosen by the customer from the dual pricing payment options.","type":"string","minLength":1,"maxLength":1},"TransactionCurrencyCode_5F2A":{"description":"5F2A Currency Code for the Terminal.","type":"string","maxLength":4,"minLength":4,"pattern":"^[a-fA-F0-9]*$"},"TransactionCurrencyExponent_5F36":{"description":"5F36 Currency Exponent based on the country code for the Terminal.","type":"string","maxLength":2,"minLength":2,"pattern":"^[a-fA-F0-9]*$"},"CustomCurrencySymbol":{"description":"Custom Currency Code symbol for the Terminal based on country.","type":"string","maxLength":3,"minLength":3,"pattern":"^[A-Z]*$"},"CurrencyCode":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"NumberFormatLocale":{"description":"Locale for number formatting.","type":"string","maxLength":8,"minLength":0,"pattern":"^[a-zA-Z-]*$"},"SurchargeRefundMethod":{"description":"Surcharge Refund Method 0- Default When Purchase Surcharge is Not Enabled 2- When Purchase Surcharge Enabled","type":"string","minLength":1,"maxLength":1,"pattern":"[0-2]"}}},"CardProductSurcharge":{"description":"Surcharging settings","type":"object","properties":{"ProductId":{"type":"string","description":"Link to the card product which this surcharge applies to. Contact Verifone for card products applicable to your estate.","pattern":"^.*$","minLength":0,"maxLength":150},"SurchargeType":{"description":"Surcharge Type (Domestic)\n\n0 - Not configured\n\n1 - Fixed Amount\n\n2 - Percentage","type":"string","minLength":1,"maxLength":1,"pattern":"[0-2]"},"SurchargeValue":{"description":"Specifies the value of the surcharge depending on the surcharge type. Can be a fixed value (eg 2.5 = $2.50) or a percentage (eg 1.2 = 1.2%).","type":"string","minLength":1,"maxLength":150,"pattern":"^[0-9]+(\\.[0-9]{1,2})?$"},"MaxSurchargeAdjAmount":{"description":"Applicable only when Surcharge Type is Percentage. Amount is in default Terminal currency, represented as a decimal number. Specifies the maximum surcharge amount; if the calculated surcharge is above this value, the Surcharge Max Adjustment amount will be applied instead.","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{1,2})?$","default":"0"},"MinSurchargeAdjAmount":{"description":"Applicable only when Surcharge Type is Percentage. Amount is in default Terminal currency, represented as a decimal number. Specifies the minimum surcharge amount; if the calculated surcharge is below this value, the Surcharge Min Adjustment amount will be applied instead.","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{1,2})?$","default":"0"},"MaxSurchargeableAmount":{"description":"Amount is in default Terminal currency, represented as a decimal number. When the transaction amount is above this maximum, no surcharge will be applied.","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{1,2})?$","default":"0"},"MinSurchargeableAmount":{"description":"Amount is in default Terminal currency, represented as a decimal number. When the transaction amount is below this minimum, no surcharge will be applied.","type":"string","minLength":1,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{1,2})?$","default":"0"},"UseDomesticConfigForInternational":{"description":"When enabled (true), surcharging of transactions that utilize international payment methods follows the surcharge parameter settings and rules as defined for domestic payment methods; and the international configuration variants are ignored. When disabled (false), unique International configuration parameters will control surcharging of transactions that utilize international payment methods.","type":"string","default":"1","minLength":1,"maxLength":1,"pattern":"[0-1]"}},"required":["ProductId","SurchargeType","SurchargeValue"]},"BaseRegionalParameters":{"title":"Payment Parameters - Regional specific options","description":"Payment Parameters - Regional specific options","type":"object","properties":{"parameterSchema":{"type":"string"}},"discriminator":{"propertyName":"parameterSchema","mapping":{"ParametersMaverick":"#/components/schemas/ParametersMaverick","ParametersAu":"#/components/schemas/ParametersAu","ParametersUk":"#/components/schemas/ParametersUk","ParametersNordicsCobra":"#/components/schemas/ParametersNordicsCobra"}},"oneOf":[{"title":"ParametersMaverick","allOf":[{"$ref":"#/components/schemas/ParametersMaverick"}]},{"title":"ParametersAu","allOf":[{"$ref":"#/components/schemas/ParametersAu"}]},{"title":"ParametersUk","allOf":[{"$ref":"#/components/schemas/ParametersUk"}]},{"title":"ParametersNordicsCobra","allOf":[{"$ref":"#/components/schemas/ParametersNordicsCobra"}]}]},"ParametersMaverick":{"title":"Payment Parameters - Maverick","description":"Payment Parameters - Maverick","type":"object","allOf":[{"$ref":"#/components/schemas/BaseRegionalParameters"},{"properties":{"PrintBusinessRegistrationNumberOnReceipt":{"description":"Flag for controlling presence of Business Registration number on receipt.","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"BusinessRegistrationNumber":{"description":"Business registration number","type":"string","maxLength":15,"minLength":0,"pattern":"^[0-9\\\\-]{0,15}$"}}}]},"ParametersAu":{"title":"Payment Parameters - AU","description":"Payment Parameters - AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseRegionalParameters"},{"properties":{"EfbEnabled":{"description":"Efb Enabled","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"EfbCtlsEnabled":{"description":"Efb Ctls Enabled","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"MerchantChoiceRoutingEnabled":{"description":"Merchant Choice Routing Enabled","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"CdoMaxTransactionCount":{"type":"string","maxLength":8,"minLength":1,"pattern":"^(\\+|-)?\\d+$"},"CdoMaxAccumulativeAmount":{"type":"string","maxLength":99999999,"minLength":0,"pattern":"^\\d*\\.?\\d*$"},"CdoMaxPurchaseCreditAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"},"CdoMaxPurchaseDebitAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"},"EfbMaxTransactionCount":{"type":"string","maxLength":8,"minLength":1,"pattern":"^(\\+|-)?\\d+$"},"EfbMaxAccumulativeAmount":{"type":"string","maxLength":15,"minLength":0,"pattern":"^\\d*\\.?\\d*$"},"EfbMaxPurchaseCreditAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"},"EfbMaxPurchaseDebitAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"},"EfbMaxRefundCreditAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"},"EfbMaxRefundDebitAmount":{"type":"string","maxLength":9,"minLength":0,"pattern":"^[0-9]{1,6}(\\.[0-9]{2})?$"}}}]},"ParametersUk":{"title":"Payment Parameters - Uk","description":"Payment Parameters - Uk","type":"object","allOf":[{"$ref":"#/components/schemas/BaseRegionalParameters"},{"properties":{"PostCommsFloorLimit":{"description":"Floor limit for offline approval after comms issue.","type":"string","minLength":0,"maxLength":15,"pattern":"^[0-9]+(\\.[0-9]{2})?$"}}}]},"ParametersNordicsCobra":{"title":"Payment Parameters - Nordics Cobra","description":"Payment Parameters - Nordics Cobra","type":"object","allOf":[{"$ref":"#/components/schemas/BaseRegionalParameters"},{"properties":{"IsPayAtTable":{"description":"Enable Pay At Table","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"IsPrintAndGo":{"description":"Enable Print And Go","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"},"EcrServerMode":{"description":"Enable Terminal Client Server Mode","type":"string","minLength":1,"maxLength":1,"pattern":"[0-1]"}}}]},"BundleAndPriceAndDataQuantity":{"type":"object","properties":{"packageBundleId":{"$ref":"#/components/schemas/PackageBundleId"},"adjustedPrices":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/AdjustedPriceType"}},"additionalPackageData":{"description":"Input data required to configure the package. For example some packages require a merchant ID.","type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/VariableResponseType"}},"quantity":{"description":"Quantity of the packages being ordered","type":"integer","minimum":1}},"required":["packageBundleId"]},"MultiMerchantChildPoiType":{"title":"Multi Merchant Child Point of Interaction","type":"object","allOf":[{"$ref":"#/components/schemas/BasePoiType"},{"properties":{"parentPoiUid":{"description":"The Verifone allocated unique id for the parent POI. This can either be the multi merchant parent POI or the current primary merchant POI.","type":"string","format":"uuid"},"paymentAppParameters":{"$ref":"#/components/schemas/PaymentAppParameters"}}}],"required":["parentPoiUid"]},"VirtualPoiType":{"title":"Virtual Point of Interaction","type":"object","allOf":[{"$ref":"#/components/schemas/BasePoiType"}]},"PoiOrderResponse":{"allOf":[{"$ref":"#/components/schemas/PoiOrder"},{"properties":{"orderId":{"$ref":"#/components/schemas/OrderId"},"status":{"$ref":"#/components/schemas/OrderStatusEnum"},"createdUserUid":{"$ref":"#/components/schemas/CreatedUserId"},"createdBy":{"$ref":"#/components/schemas/UserName"},"createdDate":{"type":"string","description":"The created date for this order.","format":"date-time"},"modifiedUserUid":{"description":"The assigned User_ID corresponding to the Order Modified By.","type":"string","format":"uuid"},"modifiedBy":{"$ref":"#/components/schemas/UserName"},"modifiedDate":{"type":"string","description":"The last modified date for this order.","format":"date-time"},"orderType":{"type":"string","default":"POIOrder"},"entityUid":{"$ref":"#/components/schemas/EntityUid"},"merchantCompanyEntityUid":{"$ref":"#/components/schemas/MerchantCompanyEntityUid"},"merchant":{"$ref":"#/components/schemas/MerchantNameWrapper"},"internal":{"$ref":"#/components/schemas/InternalAllocatedInformation"}}}],"required":["orderId","status","orderType"]},"OrderId":{"description":"Verifone allocated ID for the Order.","type":"string","format":"uuid"},"OrderStatusEnum":{"type":"string","enum":["DRAFT","SUBMITTED","INPROGRESS","COMPLETED","CANCELLED","ONHOLD"]},"CreatedUserId":{"description":"The assigned User ID corresponding to the Order Created By.","type":"string","format":"uuid"},"UserName":{"description":"The username of the person who's UID is represented, e.g. \"John/Jane Smith\".","type":"string","minLength":1},"MerchantCompanyEntityUid":{"description":"The Verifone allocated unique ID for this merchant company.","type":"string","format":"uuid"},"MerchantNameWrapper":{"description":"Simple Wrapper object for Merchant Name.Used by UI.","type":"object","properties":{"merchantName":{"$ref":"#/components/schemas/MerchantName"}}},"MerchantName":{"description":"The primary merchant name, e.g. \"McDonalds\".","type":"string","pattern":"^(?!\\\\s*$).+","minLength":1,"maxLength":100},"InternalAllocatedInformation":{"description":"Internally allocated identifiers. This is for verifone use only and is subject to change.","type":"object","properties":{"oracleOrderNumber":{"description":"The order number which Oracle allocated as part of the order.","type":"number"},"oracleShippingTrackingReference":{"description":"The order shipping reference which Oracle allocated as part of the order.","type":"string"},"kycReportUid":{"description":"KYC report generated for this order.","type":"string","format":"uuid"},"tokenScopeUid":{"description":"Token scope generated for this order.","type":"string","format":"uuid"},"extendedDetails":{"$ref":"#/components/schemas/ExtendedDetails"},"orderStats":{"$ref":"#/components/schemas/OrderStats"},"vmssApplication":{"$ref":"#/components/schemas/VmssApplication"},"salesforceApplicationId":{"description":"The Application ID allocated by Salesforce.","type":"string"},"signingInformation":{"$ref":"#/components/schemas/SigningInformation"},"econtractNotificationReminder":{"description":"E-Contract Notification Reminder Sent Details.","$ref":"#/components/schemas/NotificationReminder"},"draftNotificationReminder":{"description":"Draft Notification Reminder Sent Details.","$ref":"#/components/schemas/NotificationReminder"},"notificationReminders":{"description":"A container for all supported notification reminders.","$ref":"#/components/schemas/NotificationReminders"},"customerOrderLink":{"description":"Details of Customer Order Link.","$ref":"#/components/schemas/CustomerOrderLink"},"cancellationHistory":{"type":"array","description":"List of cancellation records for the customer order.","items":{"$ref":"#/components/schemas/OrderCancellation"}},"externalOnboarding":{"type":"object","description":"External merchant onboarding details","$ref":"#/components/schemas/ExternalOnboarding"}}},"ExtendedDetails":{"description":"Detailed Status of the Order","type":"object","properties":{"status":{"$ref":"#/components/schemas/DetailedStatusEnum"},"code":{"type":"string","description":"Code associated with the status (if applicable)"},"information":{"type":"string","description":"Extra Information associated with the status (if applicable)"},"lastChangeTime":{"$ref":"#/components/schemas/LastChangeTime"},"canCancel":{"type":"boolean","description":"Can this order be cancelled."}}},"DetailedStatusEnum":{"description":"An order will be in one of the following states.","type":"string","enum":["DRAFT","SUBMITTED","INPROGRESS","PENDING_THIRD_PARTY","PENDING_SIGNATURE","UNDER_REVIEW","REQUIRES_ATTENTION","INTERNAL_BOARDING","FULFILMENT_BOOKED","FULFILMENT_PICKED","FULFILMENT_SHIPPED","CANCEL_REQUESTED","CANCEL_INPROGRESS","CANCEL_ERROR","CANCELED_BYUSER","COMPLETED","CANCELLED","DECLINED","ONHOLD","OFFER_SENT","OPENED_BY_CUSTOMER","INPROGRESS_BY_CUSTOMER","DOCS_REQUIRED","DOCS_REQUIRES_ATTENTION"]},"LastChangeTime":{"description":"Time status detailed status last changed.","type":"string","format":"date-time"},"OrderStats":{"type":"object","description":"Order Statistics","properties":{"minsSinceCreatedToLastUpdate":{"type":"integer","description":"Number of minutes since last status update and created order time","default":0},"minsSinceLastStatusUpdate":{"type":"integer","description":"Number of minutes (if > 0) since last status update","default":0}}},"VmssApplication":{"type":"object","properties":{"visaStatus":{"$ref":"#/components/schemas/VmssSchemeStatus"},"visaMatches":{"$ref":"#/components/schemas/VmssSchemeMatches"},"mcdStatus":{"$ref":"#/components/schemas/VmssSchemeStatus"},"mcdMatches":{"$ref":"#/components/schemas/VmssSchemeMatches"},"mcdTransactionReference":{"type":"string","description":"Reference to the status check to mastercard"}}},"VmssSchemeStatus":{"description":"Scheme Status","type":"string","enum":["NA ","PENDING","ERROR","COMPLETE"]},"VmssSchemeMatches":{"description":"Number of matches found against the VMSS service.","type":"number"},"SigningInformation":{"description":"Information on the signing request.","type":"object","properties":{"provider":{"type":"string","description":"Signing Provider used","enum":["SIGNICAT","ADOBE","DOKOBIT"]},"providerRef":{"type":"string","description":"Signing Provider reference to the signing request"},"signedFileUrl":{"type":"string","description":"URL to the signed file"},"signingRequests":{"type":"array","items":{"$ref":"#/components/schemas/SignersInformation"}}},"required":["provider","providerRef"]},"SignersInformation":{"description":"Information on the signers in the request.","type":"object","properties":{"providerRef":{"description":"Signing Provider reference to the signers signing request.","type":"string"},"contact":{"$ref":"#/components/schemas/ContactType"},"signed":{"description":"Has the signer signed the contract.","type":"boolean","default":false},"signedDateTime":{"description":"Date/Time signer signed the request.","type":"string","format":"date-time"},"signingLink":{"description":"This is the link used for signing the contract.","type":"string"}},"required":["contact"]},"NotificationReminder":{"description":"Notification Reminder Sent Details","type":"object","properties":{"lastNotificationSentDateTime":{"description":"Date and Time of the last notification sent. Defaulted to `createdDateTime` on first saved order.","type":"string","format":"date-time"},"notificationCount"
[...]
